using System.Collections.Generic;
using UnityEngine;

public class UI : MonoBehaviour {
	public void setTerrainMapMode() {
		UI.setMapMode(Controller.MapMode.Terrain);
	}

	public void setCultureMapMode() {
		UI.setMapMode(Controller.MapMode.Culture);
	}

	public static void setMapMode(Controller.MapMode mapMode) {
		foreach(Region region in Map.regions) {
			region.updateSprite(mapMode);
		}
	}
}
